Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “Continuous Galerkin methods”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

86 records · Page 5

NASA ACC High Energy Dynamic Impact Methodology and Outcomes

For High Energy Dynamic Impact (HEDI) events, testing to evaluate the structural response of primary aircraft structure for design and certification is both expensive and time consuming. This paper discusses current work seeking to assess, develop, and validate appropriate analytical models that accurately predict physical response, damage, and failure modes for large scale composite structures in HEDI events. Four state-of-the-art Progressive Damage Analysis (PDA) methods were employed for this phased project: LS-DYNA MAT162, LS-DYNA MAT261, Smoothed Particle Galerkin (SPG), and EMU Peridynamics. Multiple material systems were considered, namely T700/5208 textile-infusion triaxial braid, T800/AMD-825 textile-infusion triaxial braid, IM7/8552 uni-directional tape, and SPG 196-PW/8552 plain-weave fabric. Extensive ballistic impact testing was performed to support this activity and measured results were compared to predictive models for assessment using panel delamination, panel displacement, force at the load cells, and threshold velocity as measures. Ultimately, the work under this activity provided significant progress in advancing the state-of-the-art in the use of PDA for HEDI events. Each material model had favorable performance comparing to test in some parameters and needed improvement in others. With the lessons learned from this activity, significant progress was made in the ability to predict panel behavior for a more general case beyond the flat panel in a ballistic impact event. Subsequent Phase II of the NASA ACC HEDI effort will continue to build on the coupon testing, flat panel ballistic impact testing, and analysis performed to-date with application of the PDA methods for intended material selections to test articles with greater complexity of configuration, curvature, and scale. It is not the intention of this paper to present a full set of data, but rather to give an overview of the NASA HEDI effort and show a small representative subset of the test and analysis results.

Hunziker, Kenneth J.↗

Learning subgrid-scale models with neural ordinary differential equations

We propose a new approach to learning the subgrid-scale model when simulating partial differential equations (PDEs) solved by the method of lines and their representation in chaotic ordinary differential equations, based on neural ordinary differential equations (NODEs). Solving systems with fine temporal and spatial grid scales is an ongoing computational challenge, and closure models are generally difficult to tune. Machine learning approaches have increased the accuracy and efficiency of computational fluid dynamics solvers. In this approach neural networks are used to learn the coarse- to fine-grid map, which can be viewed as subgrid-scale parameterization. We propose a strategy that uses the NODE and partial knowledge to learn the source dynamics at a continuous level. Our method inherits the advantages of NODEs and can be used to parameterize subgrid scales, approximate coupling operators, and improve the efficiency of low-order solvers. Numerical results with the two-scale Lorenz 96 ODE, the convection-diffusion PDE, and the viscous Burgers' PDE are used to illustrate this approach.

97 MATHEMATICS AND COMPUTING↗

Shock Capturing via Limiting for High-Order Methods including Discontinuous Galerkin

High-order methods, such as discontinuous Galerkin (DG), spectral, and flux reconstruction (FR), are prone to generating unwanted oscillations near shocks and discontinuities. Conventional limiting techniques, while effective in suppressing oscillations near shocks, often compromise accuracy near extrema, where the solution is only first-order accurate. This paper introduces a novel limiting technique for these high-order schemes, aimed at effectively managing shocks while preserving accuracy. The key idea is to expand the standard monotonicity limits to provide “room” near smooth extrema, ensuring that limiting has no effect and thus preserving accuracy. Near a discontinuity, these expanded limits effectively reduce to the original monotonicity limits, suppressing oscillations. Additional motivation is drawn from a formula for the derivative of Radau polynomials, which depicts the behavior of oscillations resulting from discontinuities. This behavior leads to a simplification by applying the limits to the sum of magnitudes of all modes, linear and higher degree. Unlike typical approaches, which rely on successful detection to activate limiting, our limiter depends continuously on the data, there by avoiding potential issues if detection fails. To reduce computing time, efficient criteria for detecting smooth regions where limiting is unnecessary are presented. Combined with detection, the continuous dependence on the data is lost, but the method is more economical. A notable characteristic of the entire process is its simplicity in both concept and implementation. Numerical tests for advection and Euler equations are conducted to demonstrate the effectiveness of the proposed method.

numerical methods↗

Shock Capturing via Limiting for High-Order Methods including Discontinuous Galerkin

High-order methods, such as discontinuous Galerkin (DG), spectral, and flux reconstruction (FR), are prone to generating unwanted oscillations near shocks and discontinuities. Conventional limiting techniques, while effective in suppressing oscillations near shocks, often compromise accuracy near extrema, where the solution is only first-order accurate. This paper introduces a novel limiting technique for these high-order schemes, aimed at effectively managing shocks while preserving accuracy. The key idea is to expand the standard monotonicity limits to provide “room” near smooth extrema, ensuring that limiting has no effect and thus preserving accuracy. Near a discontinuity, these expanded limits effectively reduce to the original monotonicity limits, suppressing oscillations. Additional motivation is drawn from a formula for the derivative of Radau polynomials, which depicts the behavior of oscillations resulting from discontinuities. This behavior leads to a simplification by applying the limits to the sum of magnitudes of all modes, linear and higher degree. Unlike typical approaches, which rely on successful detection to activate limiting, our limiter depends continuously on the data, there by avoiding potential issues if detection fails. To reduce computing time, efficient criteria for detecting smooth regions where limiting is unnecessary are presented. Combined with detection, the continuous dependence on the data is lost, but the method is more economical. A notable characteristic of the entire process is its simplicity in both concept and implementation. Numerical tests for advection and Euler equations are conducted to demonstrate the effectiveness of the proposed method.

numerical methods↗

A Higher-Order Space-Time Finite-Element Method for Moving-Body and Fluid-Structure Interaction Problems

We present a high-order finite-element method for moving body and fluid/structure interaction problems. Our solution strategy is based on a space-time discontinuous Galerkin (DG) spectral-element discretization which extends to arbitrary order of accuracy. The space-time DG discretization is a natural choice for moving body and fluid-structure interaction problems as moving surfaces are incorporated simply by considering curved space-time elements whose space-time faces align with the moving body. We present a discontinuous-Galerkin in time discretization for six-degree of motion modeling of rigid bodies, and a continuous-Galerkin discretization for equations of linear elasticity to generate curved space-time meshes. Numerical results for several simple 2D test cases are presented in order to verify the implementation of the different models. Finally we present a preliminary dynamic simulation of a parachute.

High-Order↗

Forward sensitivity analysis and mode dependent control for closure modeling of Galerkin systems

Model reduction by projection-based approaches is often associated with losing some of the important features that contribute towards the dynamics of the retained scales. As a result, a mismatch occurs between the predicted trajectories of the original system and the truncated one. We put forth a framework to apply a continuous time control signal in the latent space of the reduced order model (ROM) to account for the effect of truncation. We set the control input using parameterized models by following energy transfer principles. Our methodology relies on observing the system behavior in the physical space and using the projection operator to restrict the feedback signal into the latent space. Then, we leverage the forward sensitivity method (FSM) to derive relationships between the feedback and the desired mode-dependent control. We test the performance of the proposed approach using two test cases, corresponding to viscous Burgers and vortex merger problems at high Reynolds number. Results show that the ROM trajectory with the applied FSM control closely matches its target values in both the data-dense and data-sparse regimes.

97 MATHEMATICS AND COMPUTING↗

A Moving Discontinuous Galerkin Method with Interface Condition Enforcement for Reacting Hypersonic Flows

The necessity of enforcing conservation in computational elements or cells (element conservation) for discontinuous solutions is well understood and respected for solving conservation laws in computational fluid dynamics (CFD). In contrast, interface conservation, where the conservation across cell interfaces is enforced, is long ignored, and yet is also ruled and required by the underlying physics just like element conservation. Violation of the interface conservation across discontinuities is the root cause why an exact discontinuous solution can never be achieved in shock capturing methods. The interface conservation is examined and explored in this talk. Moving discontinuous Galerkin (MDG) finite element method with interface conservation enforcement (MDG-ICE) [1],[2] are then presented for solving compressible flow problems with discontinuities based on the observation that the interface conservation can only be satisfied, only when mesh interfaces are aligned with discontinuities. In the MDG-ICE formulation, both conservative quantities and grid geometry are considered as independent variables. A space-time DG formulation is used to solve the multi-material compressible Euler equations in the standard discontinuous solution space and the discrete grid geometry is solved using a variational formulation in a continuous space. A self-adaptive Levenberg-Marquardt method is utilized to solve the resulting over-determined system of nonlinear equations arising from the MDG-ICE formulation. A number of numerical experiments for a variety of flow problems are conducted to assess the accuracy and performance of the MDG-ICE method. Numerical results obtained indicate that the MDG-ICE method is able to deliver the designed order of both h- and p-convergence even for discontinuous solutions, and detect all types of interfaces, via interface condition enforcement and satisfy, via grid movement, the compressible Euler equations and the associated interface condition.

Discontinuous Galekin↗

Finite element methods of analysis for high speed viscous flows

Over the past three years a finite element based procedure for the solution of high speed viscous compressible flows was developed. The approach followed was to compute steady state solutions via a false transient, using an explicit time stepping scheme, and to attempt to improve the solution quality by incorporating adaptive mesh procedures. The main thrust of the work was to continue on the extension of the approach to the solution of some realistic compressible viscous flows. When flows at high Reynolds number are investigated, is soon becomes apparent that explicit techniwues have to be supplemented if they are to deal effectively with the large variations in element size and aspect ratio which characterize the computational grids necessary for adequate resolutin of the primary flow features. For this reason, the Taylor-Galerkin solution algorithm was rewritten in an explicit/implicit form. Solutions were computed for the problems of a flow past a flat plate, M-3, Re-100; shock/boundary layer interaction, M-2, Re-296000; flow over a compression corner, M-11.68, Re246000; and unifrom flow past a circular cylinder, M-6.34, Re-39770. A summary of the results is included and demonstrates the numerical performance of the scheme.

Source record↗

The transmission of sound in nonuniform ducts

The method of weighted residuals in the form of a modified Galerkin method with boundary residuals was developed for the study of the transmission of sound in nonuniform ducts carrying a steady, compressible flow. In this development, the steady flow was modeled as essentially one dimensional but with a kinematic modification to force tangency of the flow at the duct walls. Three forms of the computational scheme were developed using for basis functions (1) the no-flow uniform duct modes, (2) positive running uniform duct modes, with flow, and (3) positive and negative running uniform duct modes, with flow. The formulation using the no-flow modes was the most highly developed, and has advantages primarily due to relative computational simplicity. Results using the three methods are shown to converge to known solutions for several special cases, and the most significant check case is against low frequency, one dimensional results over the complete subsonic Mach number range. Development of the method is continuing, with emphasis on assessing the relative accuracy and efficiency of the three implementations.

Eversman, W.↗

Natural convection in steady solidification - Finite element analysis of a two-phase Rayleigh-Benard problem

Galerkin finite-element approximations and Newton's method for solving free boundary problems are combined with computer-implemented techniques from nonlinear perturbation analysis to study solidification problems with natural convection in the melt. The Newton method gives rapid convergence to steady state velocity, temperature and pressure fields and melt-solid interface shapes, and forms the basis for algebraic methods for detecting multiple steady flows and assessing their stability. The power of this combination is demonstrated for a two-phase Rayleigh-Benard problem composed of melt and solid in a veritical cylinder with the thermal boundary conditions arranged so that a static melt with a flat melt-solid interface is always a solution. Multiple cellular flows bifurcating from the static state are detected and followed as Rayleigh number is varied. Changing the boundary conditions to approach those appropriate for the vertical Bridgman solidification system causes imperfections that eliminate the static state. The flow structure in the Bridgman system is related to those for the Rayleigh-Benard system by a continuous evolution of the boundary conditions.

Chang, C. J.↗

An Efficient High-Order Solver for Diffusion Equations with Strong Anisotropy on Non-Anisotropy-Aligned Meshes

This paper concerns numerical solution of the diffusion equation with strong anisotropy on meshes not aligned with the anisotropic vector field. In order to resolve the numerical pollution for simulations on a non-anisotropy-aligned mesh and reduce the associated high computational cost we propose an effective preconditioner, extending our previous work. Similar to the anisotropy-aligned mesh case, we apply the auxiliary space preconditioning framework to design a preconditioner where a continuous finite element space is used as the auxiliary space for the discontinuous finite element space. The key component is an effective line smoother that can mitigate the high-frequency errors perpendicular to the magnetic field. We design a graph-based approach to find such a line smoother that is approximately perpendicular to the vector fields when the mesh does not align with the anisotropy. Finally, numerical experiments for several benchmark problems are presented, demonstrating the effectiveness and robustness of the proposed preconditioner when applied to Krylov iterative methods.

97 MATHEMATICS AND COMPUTING↗

An adaptive scalable fully implicit algorithm based on stabilized finite element for reduced visco-resistive MHD

The magnetohydrodynamics (MHD) equations are continuum models used in the study of a wide range of plasma physics systems, including the evolution of complex plasma dynamics in tokamak disruptions. However, efficient numerical solution methods for MHD are extremely challenging due to disparate time and length scales, strong hyperbolic phenomena, and nonlinearity. Additionally, therefore the development of scalable, implicit MHD algorithms and high-resolution adaptive mesh refinement strategies is of considerable importance. In this work, we develop a high-order stabilized finite-element algorithm for the reduced visco-resistive MHD equations based on the MFEM finite element library (mfem.org). The scheme is fully implicit, solved with the Jacobian-free Newton-Krylov (JFNK) method with a physics-based preconditioning strategy. Our preconditioning strategy is a generalization of the physics-based preconditioning methods in Chacón et al. (2002) to adaptive, stabilized finite elements. Algebraic multigrid methods are used to invert sub-block operators to achieve scalability. A parallel adaptive mesh refinement scheme with dynamic load-balancing is implemented to efficiently resolve the multi-scale spatial features of the system. Our implementation uses the MFEM framework, which provides arbitrary-order polynomials and flexible adaptive conforming and non-conforming meshes capabilities. Results demonstrate the accuracy, efficiency, and scalability of the implicit scheme in the presence of large scale disparity. The potential of the AMR approach is demonstrated on an island coalescence problem in the high Lundquist-number regime (≥ 10 7 ) with the successful resolution of plasmoid instabilities and thin current sheets.

71 CLASSICAL AND QUANTUM MECHANICS, GENERAL PHYSIC↗

Galerkin formulation of path integrals in lattice field theory

We present a mathematical framework for Galerkin formulations of path integrals in lattice field theory. The framework is based on using the degrees of freedom (DOFs) associated to a Galerkin discretization as the fundamental lattice variables. We formulate standard concepts in lattice field theory, such as the partition function and correlation functions, in terms of the DOFs. For example, using continuous finite element spaces, we show that the two-point spatial correlation function can be defined between any two points on the domain (as opposed to at just lattice sites) and furthermore, this two-point function satisfies a weak propagator (or Green’s function) identity, in analogy to the continuum case, as well as a convergence estimate obtained from the standard finite element techniques. Furthermore, this framework leads naturally to higher-order formulations of lattice field theories by considering higher-order finite element spaces for the Galerkin discretization. We consider analytical and numerical examples of scalar field theory to investigate how increasing the order of piecewise polynomial finite element spaces affect the approximation of lattice observables. Finally, we sketch an outline of this Galerkin framework in the context of gauge field theories.

97 MATHEMATICS AND COMPUTING↗

The latent variable proximal point algorithm for variational problems with inequality constraints

The latent variable proximal point (LVPP) algorithm is a framework for solving infinite-dimensional variational problems with pointwise inequality constraints. The algorithm is a saddle point reformulation of the Bregman proximal point algorithm. At the continuous level, the two formulations are equivalent, but the saddle point formulation is more amenable to discretization because it introduces a structure-preserving transformation between a latent function space and the feasible set. Working in this latent space is much more convenient for enforcing inequality constraints than the feasible set, as discretizations can employ general linear combinations of suitable basis functions, and nonlinear solvers can involve general additive updates. LVPP yields numerical methods with observed mesh-independence for obstacle problems, contact, fracture, plasticity, and others besides; in many cases, for the first time. The framework also extends to more complex constraints, providing means to enforce convexity in the Monge–Ampère equation and handling quasi-variational inequalities, where the underlying constraint depends implicitly on the unknown solution. Here, in this paper, we describe the LVPP algorithm in a general form and apply it to ten problems from across mathematics.

Inequality constraints↗